* [gentoo-commits] repo/gentoo:master commit in: dev-games/guichan/
@ 2021-03-30 22:12 Sam James
0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2021-03-30 22:12 UTC (permalink / raw
To: gentoo-commits
commit: 4c4479632ad4076a24cce4e8b296f5b8951ca693
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 30 22:11:58 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 30 22:11:58 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c447963
dev-games/guichan: drop static-libs
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-games/guichan/guichan-0.8.2.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-games/guichan/guichan-0.8.2.ebuild b/dev-games/guichan/guichan-0.8.2.ebuild
index 9ecf5c198b8..3c7dbd3c59f 100644
--- a/dev-games/guichan/guichan-0.8.2.ebuild
+++ b/dev-games/guichan/guichan-0.8.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://guichan.googlecode.com/files/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE="allegro opengl sdl static-libs"
+IUSE="allegro opengl sdl"
DEPEND="
allegro? ( media-libs/allegro:0 )
@@ -42,7 +42,7 @@ src_configure() {
$(use_enable opengl) \
$(use_enable sdl) \
$(use_enable sdl sdlimage) \
- $(use_enable static-libs static)
+ --disable-static
}
src_install() {
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-games/guichan/
@ 2023-07-02 20:28 James Le Cuirot
0 siblings, 0 replies; 6+ messages in thread
From: James Le Cuirot @ 2023-07-02 20:28 UTC (permalink / raw
To: gentoo-commits
commit: ff0b89fb96fa0bb566e81998821abbf1e3fb9ad4
Author: Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Sun Jul 2 13:11:41 2023 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Jul 2 20:27:19 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff0b89fb
dev-games/guichan: update HOMEPAGE
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
dev-games/guichan/guichan-0.8.2.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-games/guichan/guichan-0.8.2.ebuild b/dev-games/guichan/guichan-0.8.2.ebuild
index 3c7dbd3c59ff..647b6c9477ef 100644
--- a/dev-games/guichan/guichan-0.8.2.ebuild
+++ b/dev-games/guichan/guichan-0.8.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -6,7 +6,7 @@ EAPI=7
inherit autotools
DESCRIPTION="A portable C++ GUI library designed for games using Allegro, SDL and/or OpenGL"
-HOMEPAGE="http://guichan.sourceforge.net/"
+HOMEPAGE="https://guichan.sourceforge.net/oldsite/about.shtml"
SRC_URI="https://guichan.googlecode.com/files/${P}.tar.gz"
LICENSE="BSD"
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-games/guichan/
@ 2024-10-10 20:29 Conrad Kostecki
0 siblings, 0 replies; 6+ messages in thread
From: Conrad Kostecki @ 2024-10-10 20:29 UTC (permalink / raw
To: gentoo-commits
commit: c15d1b09354532fdc909cb03f308e30614fdcb1a
Author: Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Tue Sep 3 13:37:36 2024 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Thu Oct 10 20:23:07 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c15d1b09
dev-games/guichan: EAPI8 bump, fix HOMEPAGE
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
dev-games/guichan/guichan-0.8.2-r1.ebuild | 54 +++++++++++++++++++++++++++++++
1 file changed, 54 insertions(+)
diff --git a/dev-games/guichan/guichan-0.8.2-r1.ebuild b/dev-games/guichan/guichan-0.8.2-r1.ebuild
new file mode 100644
index 000000000000..22e244aec69d
--- /dev/null
+++ b/dev-games/guichan/guichan-0.8.2-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Portable C++ GUI library designed for games using Allegro, SDL and/or OpenGL"
+HOMEPAGE="https://github.com/darkbitsorg/guichan"
+SRC_URI="https://github.com/darkbitsorg/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="allegro opengl sdl"
+
+DEPEND="
+ allegro? ( media-libs/allegro:0 )
+ opengl? ( virtual/opengl )
+ sdl? (
+ media-libs/libsdl
+ media-libs/sdl-image
+ )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-as-needed.patch
+ "${FILESDIR}"/${P}-automake-1.13.patch
+ "${FILESDIR}"/${P}-slibtool-undefined-references.patch
+)
+
+src_prepare() {
+ default
+
+ mv configure.in configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable allegro)
+ $(use_enable opengl)
+ $(use_enable sdl)
+ $(use_enable sdl sdlimage)
+ )
+
+ econf "${myeconfargs}"
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-games/guichan/
@ 2024-10-10 20:29 Conrad Kostecki
0 siblings, 0 replies; 6+ messages in thread
From: Conrad Kostecki @ 2024-10-10 20:29 UTC (permalink / raw
To: gentoo-commits
commit: 78818d00c9cf9dff7e9470d6a4ad99bda69954b8
Author: Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Tue Sep 3 13:38:02 2024 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Thu Oct 10 20:23:07 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78818d00
dev-games/guichan: add missing remote-id
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/38404
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
dev-games/guichan/metadata.xml | 1 +
1 file changed, 1 insertion(+)
diff --git a/dev-games/guichan/metadata.xml b/dev-games/guichan/metadata.xml
index 82d4f99756bf..59e233d7f502 100644
--- a/dev-games/guichan/metadata.xml
+++ b/dev-games/guichan/metadata.xml
@@ -11,5 +11,6 @@
<upstream>
<remote-id type="google-code">guichan</remote-id>
<remote-id type="sourceforge">guichan</remote-id>
+ <remote-id type="github">darkbitsorg/guichan</remote-id>
</upstream>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-games/guichan/
@ 2025-04-07 5:07 Sam James
0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2025-04-07 5:07 UTC (permalink / raw
To: gentoo-commits
commit: 98892f1741a467a82fb3f9c8f3fd9a7d1f4d9a28
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 7 05:07:09 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 7 05:07:09 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98892f17
dev-games/guichan: Stabilize 0.8.2-r1 x86, #953316
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-games/guichan/guichan-0.8.2-r1.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-games/guichan/guichan-0.8.2-r1.ebuild b/dev-games/guichan/guichan-0.8.2-r1.ebuild
index 22e244aec69d..c3edbf1050ec 100644
--- a/dev-games/guichan/guichan-0.8.2-r1.ebuild
+++ b/dev-games/guichan/guichan-0.8.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/darkbitsorg/${PN}/releases/download/v${PV}/${P}.tar.
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 x86"
IUSE="allegro opengl sdl"
DEPEND="
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-games/guichan/
@ 2025-04-07 5:08 Sam James
0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2025-04-07 5:08 UTC (permalink / raw
To: gentoo-commits
commit: fa97ac8914d7e2d0976dbbd5ce574cd43bbc7f56
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 7 05:08:28 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 7 05:08:28 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa97ac89
dev-games/guichan: Stabilize 0.8.2-r1 amd64, #953316
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-games/guichan/guichan-0.8.2-r1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-games/guichan/guichan-0.8.2-r1.ebuild b/dev-games/guichan/guichan-0.8.2-r1.ebuild
index c3edbf1050ec..22b080f90f1c 100644
--- a/dev-games/guichan/guichan-0.8.2-r1.ebuild
+++ b/dev-games/guichan/guichan-0.8.2-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/darkbitsorg/${PN}/releases/download/v${PV}/${P}.tar.
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 x86"
+KEYWORDS="amd64 x86"
IUSE="allegro opengl sdl"
DEPEND="
^ permalink raw reply related [flat|nested] 6+ messages in thread
end of thread, other threads:[~2025-04-07 5:08 UTC | newest]
Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-04-07 5:08 [gentoo-commits] repo/gentoo:master commit in: dev-games/guichan/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2025-04-07 5:07 Sam James
2024-10-10 20:29 Conrad Kostecki
2024-10-10 20:29 Conrad Kostecki
2023-07-02 20:28 James Le Cuirot
2021-03-30 22:12 Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox